package uebung02;

import java.io.FilterWriter;
import java.io.IOException;
import java.io.Writer;

/**
 * 
 * @author Lorenz Schauer
 * 
 * Eigener FilterWriter zum Verschlsseln 
 *
 */
public class EncodingWriter extends FilterWriter {

	protected EncodingWriter(Writer out) {
		super(out);
	}
	
	// Wichtig: Die Basis-Methode zum Schreiben berschreiben:
	// Hier wird zur Demonstration einfach das Zeichen um ein Zeichen versetzt. 
	@Override
	public void write(int c) throws IOException {

		super.write(c+1);
	}
	
	
	// Andere write-Methdoen noch berschreiben, die dann verwendet werden. 
	@Override
	public void write(char[] cbuf, int off, int len) throws IOException {
		for(int i=0; i< len; i++)
			write(cbuf[off+i]);
	}
	
	@Override
	public void write(String str, int off, int len) throws IOException {
		for(int i=0; i< len; i++)
			write(str.charAt(off+i));
	}
	
	@Override
	public void write(char[] cbuf) throws IOException {
		write(cbuf,0,cbuf.length);
	}
	
	@Override
	public void write(String str) throws IOException {
		write(str,0,str.length());
	}

}
